execution:
    uuid: 9212c5d0-33cc-48ca-b185-809babed4dfb
    runtime:
        start: 2022-10-20T17:26:53.626106-07:00
        end: 2022-10-20T17:28:42.201825-07:00
        duration: 1 minute, 48 seconds, and 575719 microseconds

action:
    type: method
    plugin: !ref 'environment:plugins:feature-classifier'
    action: extract_reads
    inputs:
    -   sequences: a53d9300-5c5c-4774-a2e8-a5e23904f1ae
    parameters:
    -   f_primer: GTGYCAGCMGCCGCGGTAA
    -   r_primer: GGACTACNVGGGTWTCTAAT
    -   trim_right: 0
    -   trunc_len: 0
    -   trim_left: 0
    -   identity: 0.8
    -   min_length: 50
    -   max_length: 0
    -   n_jobs: 32
    -   batch_size: auto
    -   read_orientation: both
    output-name: reads

transformers:
    inputs:
        sequences:
        -   from: DNASequencesDirectoryFormat
            to: DNASequencesDirectoryFormat
    output:
    -   from: DNAFASTAFormat
        to: DNASequencesDirectoryFormat

environment:
    platform: linux-x86_64
    python: |-
        3.8.12 | packaged by conda-forge | (default, Oct 12 2021, 21:59:51)
        [GCC 9.4.0]
    framework:
        version: 2022.2.0
        website: https://qiime2.org
        citations:
        - !cite 'framework|qiime2:2022.2.0|0'
    plugins:
        types:
            version: 2022.2.0
            website: https://github.com/qiime2/q2-types
        feature-classifier:
            version: 2022.2.0
            website: https://github.com/qiime2/q2-feature-classifier
            citations:
            - !cite 'plugin|feature-classifier:2022.2.0|0'
    python-packages:
        certifi: 2022.9.24
        q2-emperor: 2022.2.0
        q2-mystery-stew: 2022.2.0
        q2-cutadapt: 2022.2.0
        q2cli: 2022.2.0
        q2-gneiss: 2022.2.0
        q2-quality-control: 2022.2.0
        q2-alignment: 2022.2.0
        q2-demux: 2022.2.0
        q2galaxy: 2022.2.0
        q2-phylogeny: 2022.2.0
        qiime2: 2022.2.0
        q2-longitudinal: 2022.2.0
        q2-types: 2022.2.0
        q2-dada2: 2022.2.0
        q2-vsearch: 2022.2.0
        q2-deblur: 2022.2.0
        q2-feature-classifier: 2022.2.0
        q2-taxa: 2022.2.0
        q2-fragment-insertion: 2022.2.0
        q2-sample-classifier: 2022.2.0
        q2-feature-table: 2022.2.0
        q2-quality-filter: 2022.2.0
        q2-composition: 2022.2.0
        q2-diversity: 2022.2.0
        q2-diversity-lib: 2022.2.0
        q2templates: 2022.2.0
        q2-metadata: 2022.2.0
        regex: 2022.1.18
        pytz: '2021.3'
        setuptools: 59.8.0
        cryptography: 36.0.1
        pyzmq: 22.3.0
        pip: 22.0.3
        pyOpenSSL: 22.0.0
        black: 21.5b2
        attrs: 21.4.0
        packaging: '21.3'
        argon2-cffi: 21.3.0
        argon2-cffi-bindings: 21.2.0
        unicodedata2: 14.0.0
        Pillow: 9.0.1
        natsort: 8.1.0
        ipython: 8.0.1
        ipywidgets: 7.6.5
        click: 7.1.2
        jupyter-client: 7.1.2
        pytest: 7.0.1
        ipykernel: 6.9.1
        notebook: 6.4.8
        nbconvert: 6.4.2
        tornado: '6.1'
        PyYAML: '6.0'
        PyQt5: 5.12.3
        PyQtWebEngine: 5.12.1
        PyQtChart: '5.12'
        psutil: 5.9.0
        importlib-resources: 5.4.0
        nbformat: 5.1.3
        traitlets: 5.1.1
        tqdm: 4.62.3
        fonttools: 4.29.1
        PyQt5-sip: 4.19.18
        importlib-metadata: 4.11.1
        beautifulsoup4: 4.11.1
        jupyter-core: 4.9.2
        pexpect: 4.8.0
        lxml: 4.8.0
        DendroPy: 4.5.2
        decorator: 4.4.2
        jsonschema: 4.4.0
        sepp: 4.3.10
        typing-extensions: 4.1.1
        bleach: 4.1.0
        nltk: '3.7'
        zipp: 3.7.0
        flit-core: 3.6.0
        h5py: 3.6.0
        widgetsnbextension: 3.5.2
        matplotlib: 3.5.1
        idna: '3.3'
        lz4: 3.1.10
        ijson: 3.1.3
        threadpoolctl: 3.1.0
        prompt-toolkit: 3.0.27
        pyparsing: 3.0.7
        Jinja2: 3.0.3
        requests: 2.27.1
        pycparser: '2.21'
        yq: 2.13.0
        Pygments: 2.11.2
        python-dateutil: 2.8.2
        networkx: 2.6.3
        bokeh: 2.4.2
        soupsieve: 2.3.2.post1
        biom-format: 2.1.10
        MarkupSafe: 2.1.0
        tzlocal: '2.1'
        charset-normalizer: 2.0.12
        asttokens: 2.0.5
        tomli: 2.0.1
        argcomplete: 2.0.0
        urllib3: 1.26.8
        numpy: 1.22.2
        six: 1.16.0
        cffi: 1.15.0
        py: 1.11.0
        scipy: 1.8.0
        Send2Trash: 1.8.0
        PySocks: 1.7.1
        backports.functools-lru-cache: 1.6.4
        nest-asyncio: 1.5.4
        cached-property: 1.5.2
        typed-ast: 1.5.2
        debugpy: 1.5.1
        pandocfilters: 1.5.0
        appdirs: 1.4.4
        xopen: 1.4.0
        nose: 1.3.7
        parasail: 1.3.3
        kiwisolver: 1.3.2
        pandas: 1.2.5
        empress: 1.2.0
        fastcluster: 1.1.26
        munkres: 1.1.4
        iniconfig: 1.1.1
        deblur: 1.1.0
        html5lib: '1.1'
        joblib: 1.1.0
        bibtexparser: 1.1.0
        emperor: 1.0.3
        msgpack: 1.0.3
        jupyterlab-widgets: 1.0.2
        pluggy: 1.0.0
        unifrac: 1.0.0
        numba: 0.53.1
        wheel: 0.37.1
        llvmlite: 0.36.0
        Cython: 0.29.28
        scikit-learn: 0.24.1
        future: 0.18.2
        pyrsistent: 0.18.1
        jedi: 0.18.1
        fuzzywuzzy: 0.18.0
        hdmedians: 0.14.2
        statsmodels: 0.13.2
        prometheus-client: 0.13.1
        terminado: 0.13.1
        CacheControl: 0.12.10
        lockfile: 0.12.2
        python-Levenshtein: 0.12.2
        xmltodict: 0.12.0
        seaborn: 0.11.2
        isal: 0.11.1
        cycler: 0.11.0
        toml: 0.10.2
        pathspec: 0.9.0
        mistune: 0.8.4
        parso: 0.8.3
        executing: 0.8.2
        dataclasses: '0.8'
        pickleshare: 0.7.5
        dnaio: 0.7.1
        defusedxml: 0.7.1
        brotlipy: 0.7.0
        ptyprocess: 0.7.0
        nbclient: 0.5.11
        pynndescent: 0.5.6
        umap-learn: 0.5.3
        patsy: 0.5.2
        webencodings: 0.5.1
        testpath: 0.5.0
        greenlet: 0.4.17
        gneiss: 0.4.6
        colorama: 0.4.4
        mypy-extensions: 0.4.3
        pynvim: 0.4.3
        entrypoints: '0.4'
        redbiom: 0.3.8
        dill: 0.3.4
        neovim: 0.3.1
        wcwidth: 0.2.5
        pure-eval: 0.2.2
        ipython-genutils: 0.2.0
        backcall: 0.2.0
        stack-data: 0.2.0
        woltka: 0.1.4
        matplotlib-inline: 0.1.3
        jupyterlab-pygments: 0.1.2
        bs4: 0.0.1
        cutadapt: 0.0.0
        optika: '2021.10'
        tax2tree: 1.0.dev0
        PASTA: 1.9.0
        evident: 0.2.0
        greengenes2: '2022.5'
        scikit-bio: 0.5.7
        q2-gg2: 0+untagged.14.gfd50397.dirty
        q2-umap: 0.0.1
        q2-convexhull: 0.0.1
        iow: 0.1.2+137.g6db1e03
        bp: '0.1'
